# IVPAction Struct Reference

Vertex primitive action. More...

Inheritance diagram for IVPAction:

List of all members.

## Public Types
enum | EVPActionKind { kVPATrackBall, kVPAResize, kVPAOffset, kVPAMoveSelection, kVPASelection, kVPACrease, kVPAGeneral, kVPAGeneralMove, kVPAExtrude, kVPAMorphTargetAddedRemoved, kVPAUVModified, kVPAUVSelection, kInvalidVPActionKind = 0xFFFFFFFF }
## Public Member Functions
virtual void MCCOMAPI | Do ()=0
virtual void MCCOMAPI | Undo ()=0
virtual void MCCOMAPI | Redo ()=0
virtual ErrorCode MCCOMAPI | BeginTracking (void *data)=0
virtual void MCCOMAPI | ContinueTracking (void *data1, void *data2)=0
virtual void MCCOMAPI | FinishTracking ()=0
virtual void MCCOMAPI | SetExtraData (void *data)
virtual void MCCOMAPI | RestoreLastMeshCopy ()=0
virtual void | SetUniversalManipulator (IVPUniversalManipulator *um)=0
virtual void MCCOMAPI | SetSymmetryFlag (boolean useSymmetry, boolean keepSymmetry)=0

## Detailed Description

Vertex primitive action.

## Member Enumeration Documentation

enum IVPAction::EVPActionKind

Enumerator:

  kVPATrackBall |
  kVPAResize |
  kVPAOffset |
  kVPAMoveSelection |
  kVPASelection |
  kVPACrease |
  kVPAGeneral |
  kVPAGeneralMove |
  kVPAExtrude |
  kVPAMorphTargetAddedRemoved |
  kVPAUVModified |
  kVPAUVSelection |
  kInvalidVPActionKind |

## Member Function Documentation

virtual ErrorCode MCCOMAPI IVPAction::BeginTracking | ( | void * | data | ) | `[pure virtual]`

virtual void MCCOMAPI IVPAction::ContinueTracking | ( | void * | data1,
|  | void * | data2 |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IVPAction::Do | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IVPAction::FinishTracking | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IVPAction::Redo | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IVPAction::RestoreLastMeshCopy | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI IVPAction::SetExtraData | ( | void * | data | ) | `[inline, virtual]`

virtual void MCCOMAPI IVPAction::SetSymmetryFlag | ( | boolean | useSymmetry,
|  | boolean | keepSymmetry |
| ) |  |  | `[pure virtual]`

virtual void IVPAction::SetUniversalManipulator | ( | IVPUniversalManipulator * | um | ) | `[pure virtual]`

virtual void MCCOMAPI IVPAction::Undo | ( |  | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- VMTypes.h